/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { CollaborationWindow, ISegment } from "./mergeTree";
import { ICombiningOp, IMergeTreeAnnotateMsg } from "./ops";
import * as Properties from "./properties";
export declare class SegmentPropertiesManager {
    private readonly segment;
    private pendingKeyUpdateCount;
    private pendingRewriteCount;
    constructor(segment: ISegment);
    ackPendingProperties(annotateOp: IMergeTreeAnnotateMsg): void;
    addProperties(newProps: Properties.PropertySet, op?: ICombiningOp, seq?: number, collabWindow?: CollaborationWindow): Properties.PropertySet | undefined;
    copyTo(leafSegment: ISegment): void;
    hasPendingProperties(): boolean;
}
//# sourceMappingURL=segmentPropertiesManager.d.ts.map